<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

$codigoMatrizSql = "SELECT COALESCE(MAX(\"codmatriz\"),0)+1 FROM mat_matrizcurricular";

$result = executaQuery($dbh, $codigoMatrizSql);
$codResult = pg_fetch_row($result);

$codigoMatriz = $codResult[0];

$sql = "INSERT INTO mat_matrizcurricular
	(
	
	   \"codmatriz\",
	   \"nomematriz\",
	   \"codescolaridade\"
	   
	) VALUES (
	
		$codigoMatriz,
	 	'$nomeMatriz',
	   	'$periodoMatriz'
	   	
	)";

$result1 = executaQuery($dbh, $sql);

$i = 1;
while($qtdAulas[$i] != '' && $i < 21)
{
	$result2 = insereDisciplina($codigoMatriz,
								$i,
								$disciplina[$i],
								$qtdAulas[$i],
								$ouDisciplina[$i],
								$dbh);
	$i++;
}

if (!$result1 || !$result2)
{
   $result1 = executaQuery($dbh, "ROLLBACK");
   if (!$result1)
   {
      $erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de Matriz Curricular";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:../novastelas/matrizcurricular.php?reacao=retorno');
   exit;
}

$sql = cleanSql($sql);
$textoScript .= $sql . ';';